## for reference https://gmplib.org/oldrel/
#!/bin/bash
function exitWithError {
    echo "$COMMAND_NAME :ERROR: $1"
    exit $2
}

##################################################################
## each separate version number must be less than 3 digit wide !
function version { echo "$@" | awk -F. '{ printf("%03d%03d%03d\n", $1,$2,$3); }'; }
if [[ ! -v ${CC} ]]; then
	GCCVERSION=$( gcc -dumpversion)
else
	GCCVERSION=$( ${cc} -dumpversion)
fi
#################################################################
# This and above version need patchs
CONDITIONAL_VERSION=5.0.0


./configure --host=${CROSS_COMPILER_PREFIX} --build=arm-linux --prefix="${OUT_DIR}/deploy/gstreamer" --sysconfdir="${OUT_DIR}/deploy/gstreamer/etc" --disable-static --enable-shared --disable-documentation
if [[ $? != 0 ]]; then
    exitWithError "There is an error in libgmp/configure, please check it and try again." 2
fi

make -j1
if [[ $? != 0 ]]; then
    exitWithError "There is an error in libgmp/make, please check it and try again." 5
fi

if [ "$STRIP_FLAG" == "YES" ]; then
	make install-strip
else
	make install
fi

if [[ $? != 0 ]]; then
    exitWithError "There is an error in libgmp/install, please check it and try again." 6
fi
